[Mongrel] problems with 'localization simplified'

Luca Reghellin lists at ruby-forum.com
Thu Nov 1 07:53:56 EDT 2007


In fact no. I've started again my application and I have the same errors 
(see below). This is not an help request. Simply to tell that 
localization simplified gives too problems, and I'll not use it anymore. 
I'm going the heavy way, globalize...

can't convert nil into String
/Users/stratboy/Documents/05_SAMPLES/RAILS/newser/vendor/plugins/l10n-simplified-0.8/lib/localization_simplified.rb:13:in 
`gsub!'
/Users/stratboy/Documents/05_SAMPLES/RAILS/newser/vendor/plugins/l10n-simplified-0.8/lib/localization_simplified.rb:13:in 
`localize_strftime'
/Users/stratboy/Documents/05_SAMPLES/RAILS/newser/vendor/plugins/l10n-simplified-0.8/lib/localization_simplified.rb:191:in 
`strftime'
/opt/local/lib/ruby/gems/1.8/gems/activesupport-1.4.4/lib/active_support/core_ext/time/conversions.rb:19:in 
`to_s'
/opt/local/lib/ruby/gems/1.8/gems/actionpack-1.13.5/lib/action_controller/cgi_ext/session_performance_fix.rb:21:in 
`create_new_id'
/opt/local/lib/ruby/1.8/cgi/session.rb:267:in `initialize'
/opt/local/lib/ruby/gems/1.8/gems/actionpack-1.13.5/lib/action_controller/cgi_process.rb:132:in 
`new'
/opt/local/lib/ruby/gems/1.8/gems/actionpack-1.13.5/lib/action_controller/cgi_process.rb:132:in 
`session'
/opt/local/lib/ruby/gems/1.8/gems/actionpack-1.13.5/lib/action_controller/cgi_process.rb:164:in 
`stale_session_check!'
/opt/local/lib/ruby/gems/1.8/gems/actionpack-1.13.5/lib/action_controller/cgi_process.rb:116:in 
`session'
/opt/local/lib/ruby/gems/1.8/gems/actionpack-1.13.5/lib/action_controller/base.rb:1058:in 
`assign_shortcuts_without_flash'
/opt/local/lib/ruby/gems/1.8/gems/actionpack-1.13.5/lib/action_controller/flash.rb:140:in 
`assign_shortcuts'
/opt/local/lib/ruby/gems/1.8/gems/actionpack-1.13.5/lib/action_controller/base.rb:429:in 
`process_without_filters'
/opt/local/lib/ruby/gems/1.8/gems/actionpack-1.13.5/lib/action_controller/filters.rb:684:in 
`process_without_session_management_support'
/opt/local/lib/ruby/gems/1.8/gems/actionpack-1.13.5/lib/action_controller/session_management.rb:114:in 
`process'
/opt/local/lib/ruby/gems/1.8/gems/actionpack-1.13.5/lib/action_controller/base.rb:334:in 
`process'
/opt/local/lib/ruby/gems/1.8/gems/rails-1.2.5/lib/dispatcher.rb:41:in 
`dispatch'
/opt/local/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel/rails.rb:78:in 
`process'
/opt/local/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel/rails.rb:76:in 
`synchronize'
/opt/local/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel/rails.rb:76:in 
`process'
/opt/local/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel.rb:618:in 
`process_client'
/opt/local/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel.rb:617:in 
`each'
/opt/local/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel.rb:617:in 
`process_client'
/opt/local/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel.rb:736:in 
`run'
/opt/local/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel.rb:736:in 
`initialize'
/opt/local/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel.rb:736:in 
`new'
/opt/local/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel.rb:736:in 
`run'
/opt/local/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel.rb:720:in 
`initialize'
/opt/local/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel.rb:720:in 
`new'
/opt/local/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel.rb:720:in 
`run'
/opt/local/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel/configurator.rb:271:in 
`run'
/opt/local/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel/configurator.rb:270:in 
`each'
/opt/local/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel/configurator.rb:270:in 
`run'
/opt/local/lib/ruby/gems/1.8/gems/mongrel-1.0.1/bin/mongrel_rails:127:in 
`run'
/opt/local/lib/ruby/gems/1.8/gems/mongrel-1.0.1/lib/mongrel/command.rb:211:in 
`run'
/opt/local/lib/ruby/gems/1.8/gems/mongrel-1.0.1/bin/mongrel_rails:243
/opt/local/lib/ruby/gems/1.8/gems/activesupport-1.4.4/lib/active_support/dependencies.rb:488:in 
`load'
/opt/local/lib/ruby/gems/1.8/gems/activesupport-1.4.4/lib/active_support/dependencies.rb:488:in 
`load'
/opt/local/lib/ruby/gems/1.8/gems/activesupport-1.4.4/lib/active_support/dependencies.rb:342:in 
`new_constants_in'
/opt/local/lib/ruby/gems/1.8/gems/activesupport-1.4.4/lib/active_support/dependencies.rb:488:in 
`load'
/opt/local/lib/ruby/gems/1.8/gems/rails-1.2.5/lib/commands/servers/mongrel.rb:60
/opt/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in 
`gem_original_require'
/opt/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in 
`require'
/opt/local/lib/ruby/gems/1.8/gems/activesupport-1.4.4/lib/active_support/dependencies.rb:495:in 
`require'
/opt/local/lib/ruby/gems/1.8/gems/activesupport-1.4.4/lib/active_support/dependencies.rb:342:in 
`new_constants_in'
/opt/local/lib/ruby/gems/1.8/gems/activesupport-1.4.4/lib/active_support/dependencies.rb:495:in 
`require'
/opt/local/lib/ruby/gems/1.8/gems/rails-1.2.5/lib/commands/server.rb:39
/opt/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in 
`gem_original_require'
/opt/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in 
`require'
script/server:3

-- 
Posted via http://www.ruby-forum.com/.


More information about the Mongrel-users mailing list